'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Provider = require('./Provider.js');

var _Provider2 = _interopRequireDefault(_Provider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultOptions = {
  propName: 'setWithGestureRef'
};

exports.default = function () {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultOptions;

  var propName = _ref.propName,
      options = _objectWithoutProperties(_ref, ['propName']);

  return function (WrappedComponent) {
    return _react2.default.forwardRef(function (props, ref) {
      return _react2.default.createElement(
        _Provider2.default,
        options,
        function (setWithGestureRef) {
          return _react2.default.createElement(WrappedComponent, _extends({}, _defineProperty({}, propName, setWithGestureRef), { ref: ref }, props));
        }
      );
    });
  };
};