'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _hammerjs = require('hammerjs');

var _hammerjs2 = _interopRequireDefault(_hammerjs);

var _Responder2 = require('./Responder.js');

var _Responder3 = _interopRequireDefault(_Responder2);

var _utils = require('../utils.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var whiteListEventProps = (0, _utils.createPropWhiteLister)(['scale', 'deltaTime', 'srcEvent', 'target', 'pointerType', 'preventDefault']);

var PinchResponder = function (_Responder) {
  _inherits(PinchResponder, _Responder);

  function PinchResponder() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, PinchResponder);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = PinchResponder.__proto__ || Object.getPrototypeOf(PinchResponder)).call.apply(_ref, [this].concat(args))), _this), _this.lastScale = 1, _this.getRecognizerOptions = function () {
      var _this$props = _this.props,
          _this$props$threshold = _this$props.threshold,
          threshold = _this$props$threshold === undefined ? 0 : _this$props$threshold,
          _this$props$minPointe = _this$props.minPointers,
          minPointers = _this$props$minPointe === undefined ? 2 : _this$props$minPointe;


      return {
        threshold: threshold,
        pointers: minPointers
      };
    }, _this.makeExposableEvent = function (event) {
      return whiteListEventProps(event);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(PinchResponder, null, [{
    key: 'getRecognizerClass',
    value: function getRecognizerClass() {
      return _hammerjs2.default.Pinch;
    }

    // mutateEvent = (event) => {
    //   if (event.pointers.length < 2) {
    //     return {
    //       ...event,
    //       scale: this.lastScale,
    //       isFinal: true
    //     }
    //   }
    //
    //   this.lastScale = event.scale
    //   return event
    // }

  }]);

  return PinchResponder;
}(_Responder3.default);

exports.default = (0, _Responder2.withHammerManager)(PinchResponder);