'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Provider = require('../Provider.js');

var _Responder = require('./Responder.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var CombineResponders = function (_React$Component) {
  _inherits(CombineResponders, _React$Component);

  function CombineResponders() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, CombineResponders);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = CombineResponders.__proto__ || Object.getPrototypeOf(CombineResponders)).call.apply(_ref, [this].concat(args))), _this), _this.getContext = function () {
      return _extends({}, _this.props.hammerManager, {
        addRecognizer: _this.addRecognizer,
        on: _this.addEventListener
      });
    }, _this.childRecognizerIds = [], _this.eventListeners = [], _this.addRecognizer = function (RecognizerClass) {
      var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      var recognizeWith = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
      var requireFailure = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;
      var hammerManager = _this.props.hammerManager;

      var id = hammerManager.addRecognizer(RecognizerClass, options, recognizeWith.concat(_this.childRecognizerIds), requireFailure);

      hammerManager.off(_this.childRecognizerIds.join(' '));
      _this.childRecognizerIds.push(id);
      hammerManager.on(_this.childRecognizerIds.join(' '), _this.handleEvent);

      return id;
    }, _this.removeRecognizer = function (recognizerId) {
      _this.eventListeners = _this.eventListeners.filter(function (_ref2) {
        var eventId = _ref2.eventId;
        return eventId !== recognizerId;
      });
      _this.childRecognizerIds = _this.childRecognizerIds.filter(function (id) {
        return id !== recognizerId;
      });

      return hammerManager.removeRecognizer(recognizerId);
    }, _this.addEventListener = function (eventId, handler) {
      _this.eventListeners.push({ eventId: eventId, handler: handler });
    }, _this.handleEvent = function (event) {
      _this.eventListeners.forEach(function (_ref3) {
        var handler = _ref3.handler;
        return handler(event);
      });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(CombineResponders, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _Provider.Provider,
        { value: this.getContext() },
        this.props.children
      );
    }
  }]);

  return CombineResponders;
}(_react2.default.Component);

exports.default = (0, _Responder.withHammerManager)(CombineResponders);